1 Reply Latest reply: Jan 24, 2013 12:56 PM by Niel
Cal Humanities Level 1 Level 1 (0 points)

I'm on an iMac G5 at a non-profit organization. I need to install Adobe CS6 onto it, but in order for it to install it is prompting me to upgrade my OS. Can my iMac G5 handle Mountain Lion?


iMac, Mac OS X (10.5.8)